Inference Files
Confirm File Upload
Confirm file upload and queue for processing.
Call this after uploading the file to S3 using the presigned URL. This will queue the file for inference processing.
POST
/
api
/
v1
/
inference-jobs
/
{job_id}
/
files
/
confirm
Confirm File Upload
curl --request POST \
--url https://api.example.com/api/v1/inference-jobs/{job_id}/files/confirm \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/inference-jobs/{job_id}/files/confirm"
payload = { "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.example.com/api/v1/inference-jobs/{job_id}/files/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inference_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"s3_key": "<string>",
"duration_ms": 123,
"status": "<string>",
"error_message": "<string>",
"detections": [
{
"artifact_type": "<string>",
"start_ms": 123,
"end_ms": 123,
"confidence": 0.5
}
],
"detection_count": 123,
"processed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Request to confirm file upload.
Response
Successful Response
Inference file response.
Show child attributes
Show child attributes
⌘I
Confirm File Upload
